Bug 1417772 - Data on the Optimize->Utilization page doesn't get updated as different item selections are made on the Utilization tree
Summary: Data on the Optimize->Utilization page doesn't get updated as different item ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Nandini Chandra
URL:
Whiteboard: ui:optimize
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 22:52 UTC by Nandini Chandra
Modified: 2017-05-31 14:33 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:33:39 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screen shot of Utilization page (60.34 KB, image/png)
2017-01-30 22:52 UTC, Nandini Chandra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1417774 None None None Never
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Internal Links: 1417774

Description Nandini Chandra 2017-01-30 22:52:23 UTC
Created attachment 1246039 [details]
screen shot of Utilization page

Description of problem:
----------------------


Version-Release number of selected component (if applicable):
--------------------------------------------------------------
5.7.1


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
1)Manage a provider.Enable C&U collection for the provider.Wait until at least 2 days worth of C&U data has been captured to see the Utilization charts.
2)Navigate to Optimize->Utilization.
3)Select a provider/cluster/host on the left.


Actual results:
---------------
The data shown on the right corresponds to Region and doesn't get updated as different item selections are made on the Utilization tree.

In the attached screen shot, a host is selected on the Utilization tree, but the data on the right corresponds to CFME Region.


Expected results:
-----------------
Data on the Optimize->Utilization page should get updated as different item selections are made on the Utilization tree.


Additional info:
---------------

Comment 3 CFME Bot 2017-02-08 13:38:43 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/05bed9e5b3ed478ee53da0d3f95152c642b1efc5

commit 05bed9e5b3ed478ee53da0d3f95152c642b1efc5
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Feb 8 10:25:44 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Feb 8 10:25:44 2017 +0100

    Fixed DOM element names for Utilization & Bottleneck tree select
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1417772
    https://bugzilla.redhat.com/show_bug.cgi?id=1417774

 app/assets/javascripts/miq_tree.js | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 4 Nandini Chandra 2017-03-02 20:28:59 UTC
Verified  in 5.8.0.2

Comment 6 errata-xmlrpc 2017-05-31 14:33:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.